package com.community.pocket.data.model;

import java.util.List;

/**
 * 热门动态实体
 */
public class Hot {
    //活跃用户
    private List<UserHot> userHots;
    //热门动态
    private List<ForumHot> topicHots;
    //热门活动
    private List<ForumHot> activeHots;

    public Hot(List<UserHot> userHots, List<ForumHot> topicHots, List<ForumHot> activeHots) {
        this.userHots = userHots;
        this.topicHots = topicHots;
        this.activeHots = activeHots;
    }

    public List<UserHot> getUserHots() {
        return userHots;
    }

    public List<ForumHot> getTopicHots() {
        return topicHots;
    }

    public List<ForumHot> getActiveHots() {
        return activeHots;
    }
}
