package com.community.pocket.data.model;

/**
 * Data class that captures user information for logged in users retrieved from LoginRepository
 * 从LoginRepository检索的已登录用户捕获用户信息的数据类
 */
public class LoggedInUser {

    private String userId;
    private String displayName;

    public LoggedInUser(String userId, String displayName) {
        this.userId = userId;
        this.displayName = displayName;
    }

    public String getUserId() {
        return userId;
    }

    public String getDisplayName() {
        return displayName;
    }
}
