package com.community.pocket.ui.main;

import android.os.Bundle;

import androidx.navigation.NavController;
import androidx.navigation.Navigation;
import androidx.navigation.ui.NavigationUI;

import com.community.pocket.R;
import com.community.pocket.ui.BaseActivity;
import com.google.android.material.bottomnavigation.BottomNavigationView;

import org.xutils.view.annotation.ContentView;
import org.xutils.view.annotation.ViewInject;

@ContentView((R.layout.activity_main_menu))
public class MainMenu extends BaseActivity {

    @ViewInject(R.id.nav_view)
    private BottomNavigationView navView;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);


        NavController navController = Navigation.findNavController(this, R.id.nav_host_fragment);
        NavigationUI.setupWithNavController(navView, navController);
    }

}
