package com.community.pocket.ui.main.ui.forum.hot;

import com.community.pocket.R;
import com.community.pocket.data.model.Hot;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

/**
 * 热榜信息响应体
 */
public class ForumHotResponse extends Response<ForumHotResponse.Msg> {
    private Hot hot;

    public Hot getHot() {
        return hot;
    }

    public void setHot(Hot hot) {
        this.hot = hot;
    }

    enum Msg implements CustomMessage {
        ok(R.string.load_hot_ok),
        fail(R.string.load_hot_fail);

        private Integer msg;

        Msg(Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
