package com.community.pocket.ui.main.ui.forum.main;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.forum.ForumRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

/**
 * 论坛基本布局UI数据管理
 */
public class ForumViewModel extends BaseViewModel<ForumRequest> {
    //公告数据请求状态
    private MutableLiveData<ForumNoticeResponse> noticeDataResponse = new MutableLiveData<>();

    MutableLiveData<ForumNoticeResponse> getNoticeDataResponse() {
        return noticeDataResponse;
    }

    void loadNotice() {
        getRequest().loadNotices(noticeDataResponse);
    }

    @Override
    protected ForumRequest getRequest() {
        return ForumRequest.getInstance();
    }
}