package com.community.pocket.ui.main.ui.forum.main;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;

import androidx.annotation.NonNull;

import com.community.pocket.data.adapter.NoticeAdpter;
import com.community.pocket.data.model.Notice;
import com.youth.banner.Banner;

public class MyBanner extends Banner<Notice, NoticeAdpter> {

    public MyBanner(@NonNull Context context) {
        super(context);
    }

    public MyBanner(@NonNull Context context, @NonNull AttributeSet attrs) {
        super(context, attrs);
    }

    public MyBanner(@NonNull Context context, @NonNull AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    @Override
    public boolean onInterceptTouchEvent(MotionEvent event) {
        super.onInterceptTouchEvent(event);
        return event.getAction() == MotionEvent.ACTION_DOWN;
    }
}
