package com.community.pocket.ui.main.ui.forum.post;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.forum.ForumPostRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

//发送帖子UI数据管理
abstract class ForumPostViewModel extends BaseViewModel<ForumPostRequest> {


    //发帖请求状态
    MutableLiveData<ForumPostResponse> forumPostResponse = new MutableLiveData<>();

    MutableLiveData<ForumPostResponse> getForumPostResponse() {
        return forumPostResponse;
    }

    @Override
    protected ForumPostRequest getRequest() {
        return ForumPostRequest.getInstance();
    }
}
