package com.community.pocket.ui.main.ui.visitor.appointment;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

/**
 * 访客接口请求结果
 */
public class VisitorResponse extends Response<VisitorResponse.Msg> {

    enum Msg implements CustomMessage {
        ok(R.string.visitor_appointment_ok),
        fail(R.string.visitor_appointment_fail),
        token(R.string.invalid_token);

        private Integer msg;

        Msg(Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
