package com.community.pocket.ui.resetpwd;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

/**
 * 重置密码结果
 */
public class ResetPwdResponse extends Response<ResetPwdResponse.Msg> {

    enum Msg implements CustomMessage {
        step1_ok(R.string.resetpwd_step1_ok),
        step1_fail(R.string.resetpwd_step1_fail),
        step2_ok(R.string.resetpwd_step2_ok),
        step2_fail(R.string.resetpwd_step2_fail),
        step2_valid_ok(R.string.resetpwd_step2_valid_ok),
        step2_valid_fail(R.string.resetpwd_step2_valid_fail),
        step3_ok(R.string.resetpwd_step3_ok),
        step3_fail(R.string.resetpwd_step3_fail),
        step3_diff_password(R.string.password_diff);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        public void setMsg(Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
