package com.community.pocket.util;

import org.jetbrains.annotations.NotNull;

import okhttp3.Call;
import okhttp3.Response;

/**
 * 解析接口返回数据
 *
 * @param <T> 转化实体类型
 */
public interface HttpParse<T extends com.community.pocket.ui.main.ui.share.Response> {
    void onParseOk(@NotNull Call call, @NotNull Response response, T t);
}
