package com.community.pocket.data.adapter;

import android.content.Context;
import android.widget.ArrayAdapter;

import androidx.annotation.NonNull;

import java.util.List;

/**
 * 投诉人适配器
 */
public class ForumSearchAdapter extends ArrayAdapter<String> {

    private List<String> data;

    public ForumSearchAdapter(@NonNull Context context, List<String> data) {
        super(context, android.R.layout.simple_list_item_1);
        addAll(data);
    }


    public void addAll(List<String> data) {
        this.data = data;
        clear();
        super.addAll(data);
    }

    public boolean containsKey(String name) {
        return this.data.contains(name);
    }
}
