package com.community.pocket.data.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;

import com.community.pocket.data.model.Token;

import java.util.List;

@Dao
public interface TokenDao {

    @Query("select * from token")
    List<Token> queryAll();

    @Query("select * from token where token=:token")
    Token query(String token);

    @Insert
    void save(Token token);

    @Delete
    void delete(Token user);
}
