package com.community.pocket.data.model;

import androidx.annotation.NonNull;

/**
 * 帖子列表
 */
public class ForumHot extends AbstractForumHot {
    //论坛ID
    private String forumId;
    //论坛标题
    private String title;
    //回复数
    private Integer reply;

    public Integer getReply() {
        return reply;
    }

    public void setReply(Integer reply) {
        this.reply = reply;
    }

    public String getForumId() {
        return forumId;
    }

    public void setForumId(String forumId) {
        this.forumId = forumId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @NonNull
    @Override
    public String toString() {
        return title;
    }

    @Override
    public String orderValue() {
        return String.valueOf(reply);
    }

    @Override
    public String linkValue() {
        return String.valueOf(forumId);
    }
}
