package com.community.pocket.data.model;

import java.util.List;

//分页数据
public class Page<T> {
    //总记录数
    private Long count;
    //总页数
    private Long totalPage;
    //当前页数
    private Long currentPage;
    //数据集合
    private List<T> list;
    //分页大小
    private Integer pageSize;

    public Integer getPageSize() {
        return pageSize;
    }

    public Long getCount() {
        return count;
    }

    public Long getTotalPage() {
        return totalPage;
    }

    public Long getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Long currentPage) {
        this.currentPage = currentPage;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public void setTotalPage(Long totalPage) {
        this.totalPage = totalPage;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public boolean isEmpty() {
        return this.count == 0;
    }
}

