package com.community.pocket.data.model;

import androidx.annotation.NonNull;

/**
 * 活跃用户
 */
public class UserHot extends AbstractForumHot {
    //用户名
    private String userName;

    //信用分
    private Integer creditScore;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(Integer creditScore) {
        this.creditScore = creditScore;
    }

    @NonNull
    @Override
    public String toString() {
        return userName;
    }

    @Override
    public String orderValue() {
        return String.valueOf(creditScore);
    }

    @Override
    public String linkValue() {
        return userName;
    }
}
