package com.community.pocket.data.model;

/**
 * 访客信息
 */
public abstract class Visitor {
    //预约时间
    private Long time;
    //预约目的
    private String notes;
    //审核状态
    private VisitorStatus status;
    //审核管理员
    private String managerName;

    public void setTime(Long time) {
        this.time = time;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public Long getTime() {
        return time;
    }

    public String getNotes() {
        return notes;
    }

    public abstract String getName();

    public VisitorStatus getStatus() {
        return status;
    }

    public void setStatus(VisitorStatus status) {
        this.status = status;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }
}
