package com.community.pocket.ui.main.ui.forum.hot;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.forum.ForumHotRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

//热门动态UI数据管理
public class ForumHotViewModel extends BaseViewModel<ForumHotRequest> {

    //热门动态请求状态
    private MutableLiveData<ForumHotResponse> forumHotResponse = new MutableLiveData<>();

    MutableLiveData<ForumHotResponse> getForumHotResponse() {
        return forumHotResponse;
    }

    //加载热门信息
    void loadHot() {
        getRequest().loadHot(forumHotResponse);
    }

    @Override
    protected ForumHotRequest getRequest() {
        return ForumHotRequest.getInstance();
    }
}
