package com.community.pocket.ui.main.ui.forum.news;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.forum.ForumNewRequest;
import com.community.pocket.ui.main.ui.forum.FormLoad;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

/**
 * 最新帖子
 */
public class ForumNewViewModel extends BaseViewModel<ForumNewRequest> implements FormLoad {

    //最新帖子请求状态
    private MutableLiveData<ForumNewResponse> forumNewResponse = new MutableLiveData<>();

    MutableLiveData<ForumNewResponse> getForumNewResponse() {
        return forumNewResponse;
    }

    @Override
    public void loadForumNew(Long page, String title) {
        getRequest().loadForumNew(forumNewResponse, page, title);
    }

    @Override
    protected ForumNewRequest getRequest() {
        return ForumNewRequest.getInstance();
    }
}
