package com.community.pocket.ui.main.ui.forum.post;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

/**
 * 发帖请求结果
 */
public class ForumPostResponse extends Response<ForumPostResponse.Msg> {


    enum Msg implements CustomMessage {
        ok(R.string.forum_post_ok),
        fail(R.string.forum_post_fail),
        token(R.string.invalid_token);
        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
