package com.community.pocket.ui.main.ui.garbage.sorting;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.GarbageSorting;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

public class GarbageSortingResponse extends Response<GarbageSortingResponse.Msg> {
    private List<GarbageSorting> garbageSortings;

    List<GarbageSorting> getGarbageSortings() {
        return garbageSortings;
    }

    public void setGarbageSortings(List<GarbageSorting> garbageSortings) {
        this.garbageSortings = garbageSortings;
    }

    enum Msg implements CustomMessage {
        ok(R.string.garbage_search_ok);

        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }
}
