package com.community.pocket.ui.main.ui.info;

import androidx.annotation.Nullable;

/**
 * 修改密码表单校验状态
 */
class InfoFormState {
    //旧密码
    @Nullable
    private Integer oldPwdError;
    //新密码
    @Nullable
    private Integer newPwdError;
    //确认新密码
    @Nullable
    private Integer confirmNewPwdError;

    private boolean isDataValid;

    InfoFormState(@Nullable Integer oldPwdError, @Nullable Integer newPwdError, @Nullable Integer confirmNewPwdError) {
        this.oldPwdError = oldPwdError;
        this.newPwdError = newPwdError;
        this.confirmNewPwdError = confirmNewPwdError;
    }

    InfoFormState(boolean isDataValid) {
        this.isDataValid = isDataValid;
    }

    @Nullable
    Integer getOldPwdError() {
        return oldPwdError;
    }

    @Nullable
    Integer getNewPwdError() {
        return newPwdError;
    }

    @Nullable
    Integer getConfirmNewPwdError() {
        return confirmNewPwdError;
    }

    boolean isDataValid() {
        return isDataValid;
    }
}
