package com.community.pocket.ui.main.ui.visitor.appointment;

import androidx.annotation.Nullable;

/**
 * 访客预约表单状态
 */
class VisitorFormState {
    @Nullable
    private Integer appointmentError;
    @Nullable
    private Integer dateError;
    @Nullable
    private Integer notesError;

    private boolean isDataValid;

    VisitorFormState(@Nullable Integer appointmentError, @Nullable Integer dateError, @Nullable Integer notesError) {
        this.appointmentError = appointmentError;
        this.dateError = dateError;
        this.notesError = notesError;
    }

    VisitorFormState(boolean isDataValid) {
        this.isDataValid = isDataValid;
    }

    @Nullable
    Integer getDateError() {
        return dateError;
    }

    @Nullable
    Integer getAppointmentError() {
        return appointmentError;
    }

    @Nullable
    Integer getNotesError() {
        return notesError;
    }

    boolean isDataValid() {
        return isDataValid;
    }
}
