package com.community.pocket.ui.main.ui.visitor.reservation;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.visitor.VisitorReservationRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;
import com.community.pocket.ui.main.ui.visitor.VisitorLoad;

/**
 * 我的预约UI数据管理
 */
public class VisitorReservationViewModel extends BaseViewModel<VisitorReservationRequest> implements VisitorLoad {

    //我的预约请求状态
    private MutableLiveData<VisitorReservationResponse> visitorReservationResponse = new MutableLiveData<>();

    MutableLiveData<VisitorReservationResponse> getVisitorReservationResponse() {
        return visitorReservationResponse;
    }

    @Override
    protected VisitorReservationRequest getRequest() {
        return VisitorReservationRequest.getInstance();
    }

    //我的预约
    @Override
    public void loadMy(String startDate, String endDate, Long currentPage) {
        getRequest().loadReservation(visitorReservationResponse, startDate, endDate, currentPage);
    }
}
