package com.community.pocket.ui.register;

import androidx.annotation.Nullable;
import androidx.annotation.StringRes;

/**
 * 注册表单数据校验
 */
class RegisterFormState {
    @Nullable
    @StringRes
    private Integer usernameError;
    @Nullable
    @StringRes
    private Integer passwordError;
    @Nullable
    @StringRes
    private Integer confirmPasswordError;
    @Nullable
    @StringRes
    private Integer phoneError;
    @Nullable
    private Integer emailError;


    private boolean isDataValid;


    RegisterFormState(@Nullable Integer usernameError, @Nullable Integer passwordError, @Nullable Integer confirmPasswordError, @Nullable Integer phoneError, @Nullable Integer emailError) {
        this.usernameError = usernameError;
        this.passwordError = passwordError;
        this.confirmPasswordError = confirmPasswordError;
        this.phoneError = phoneError;
        this.emailError = emailError;
    }

    RegisterFormState(boolean isDataValid) {
        this.isDataValid = isDataValid;
    }

    @Nullable
    Integer getUsernameError() {
        return usernameError;
    }

    @Nullable
    Integer getPasswordError() {
        return passwordError;
    }

    @Nullable
    Integer getConfirmPasswordError() {
        return confirmPasswordError;
    }

    @Nullable
    Integer getPhoneError() {
        return phoneError;
    }

    @Nullable
    Integer getEmailError() {
        return emailError;
    }

    boolean isDataValid() {
        return isDataValid;
    }
}
